Bug 605853 - Review Request: python-snpp - Simple Network Paging Protocol
Review Request: python-snpp - Simple Network Paging Protocol
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 19:20 EDT by Nathaniel McCallum
Modified: 2010-07-03 12:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-03 12:02:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomspur: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nathaniel McCallum 2010-06-18 19:20:52 EDT
Spec URL: http://nathaniel.themccallums.org/rpms/python-snpp.spec
SRPM URL: http://nathaniel.themccallums.org/rpms/python-snpp-1.1.2-1.fc13.src.rpm
Description: Libraries implementing RFC 1861 - Simple Network Paging Protocol
Comment 1 Thomas Spura 2010-06-19 08:21:31 EDT
Review:

Good:
- name ok
- %build ok
- %install ok
- macros everywhere
- no libs/*.la
- license ok (according to the headers, so COPYING file, see needswork)
- noarch ok
- rpmlint ok
$ rpmlint ./python-snpp-1.1.2-1.fc13.src.rpm noarch/python-snpp-1.1.2-1.fc13.noarch.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
- sources match upstream: bab9732f7ddf3af54fb5262b6dae35da

Needswork:
- missing BR python-setuptools
- query upstream to include a proper COPYING file with the license
- summary unnecessary to long:
  "Simple Network Paging Protocol" would be enought, the rest is in description anyway
- group wrong: You say this are 'libraries' -> Development/Libraries?
- It would be better, if you could write in %files:
%{python_sitelib}/Pager.py*
%{python_sitelib}/snpplib.py*
%{python_sitelib}/python_snpp*.egg-info

  So you know, when building the egg fails (e.g. I still wonder, why there is a already an egg-info in the archive...)
Comment 2 Chen Lei 2010-06-19 10:40:19 EDT
(In reply to comment #1)
>   So you know, when building the egg fails (e.g. I still wonder, why there is a
> already an egg-info in the archive...)    

FYI, those prebuild egg-info can be deleted in %prep, setuptools will regenerate it in %install.
Comment 3 Thomas Spura 2010-06-19 11:00:40 EDT
(In reply to comment #2)
> (In reply to comment #1)
> >   So you know, when building the egg fails (e.g. I still wonder, why there is a
> > already an egg-info in the archive...)    
> 
> FYI, those prebuild egg-info can be deleted in %prep, setuptools will
> regenerate it in %install.    

Yup, if I were upstream I wouldn't include it... I still don't see the reason for including it...

Using a more verbose %files section for verifying the egg building is very common in fedora anyway, so this does not depend on deleting this egg-info and rebuilding with setuptools.
Comment 4 Nathaniel McCallum 2010-06-19 12:51:23 EDT
I've fixed all the issues mentioned above.

http://nathaniel.themccallums.org/rpms/python-snpp.spec
http://nathaniel.themccallums.org/rpms/python-snpp-1.1.2-2.fc13.src.rpm
Comment 5 Thomas Spura 2010-06-19 13:05:34 EDT
Last thing to do:
koji build sucessfull: http://koji.fedoraproject.org/koji/taskinfo?taskID=2259281

################################################################################

APPROVED
Comment 6 Nathaniel McCallum 2010-06-19 14:57:01 EDT
New Package CVS Request
=======================
Package Name: python-snpp
Short Description: Simple Network Paging Protocol
Owners: npmccallum
Branches: F-12 F-13
InitialCC:
Comment 7 Kevin Fenzi 2010-06-20 22:31:04 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.